# TemporalFilesUtilizer

interface TemporalFilesUtilizer (source)

#### Inheritors

Companion
ByTimerUtilizer

## Types

Companion
Link copied to clipboard
object Companion : TemporalFilesRoutingConfigurator.TemporalFilesUtilizer

## Functions

start
Link copied to clipboard
abstract fun start (filesMap: MutableMap < TemporalFileId , MPPFile >, filesMutex: Mutex, onNewFileFlow: Flow< TemporalFileId >): Job